GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
gridfire::exceptions::FailedToPartitionEngineError Class Referencefinal

`#include <error_engine.h>`

Inheritance diagram for gridfire::exceptions::FailedToPartitionEngineError:

## Public Member Functions
| FailedToPartitionEngineError (const std::string &message)
const char * | what () const noexcept override

## Private Attributes
std::string | m_message

## Constructor & Destructor Documentation

## ◆ FailedToPartitionEngineError()

gridfire::exceptions::FailedToPartitionEngineError::FailedToPartitionEngineError | ( | const std::string & | message | ) |
| inline explicit

## Member Function Documentation

## ◆ what()

const char * gridfire::exceptions::FailedToPartitionEngineError::what | ( |  | ) | const
| inline override noexcept

## Member Data Documentation

## ◆ m_message

std::string gridfire::exceptions::FailedToPartitionEngineError::m_message
| private

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_engine.h